#if !defined(AFX_EDSLIDER_H__747ED352_6901_4F1D_9F1E_BD5D19CD4FF5__INCLUDED_)
#define AFX_EDSLIDER_H__747ED352_6901_4F1D_9F1E_BD5D19CD4FF5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EdSlider.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEdSlider window

class CEdSlider : public CSliderCtrl
{
// Construction
public:
	CEdSlider();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEdSlider)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEdSlider();

	// Generated message map functions
protected:
	//{{AFX_MSG(CEdSlider)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg int OnCharToItem(UINT nChar, CListBox* pListBox, UINT nIndex);
	afx_msg void OnDeadChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDSLIDER_H__747ED352_6901_4F1D_9F1E_BD5D19CD4FF5__INCLUDED_)
